- name: Common configuration
  collections:
    ["debops.debops", "debops.roles01", "debops.roles02", "debops.roles03"]
  hosts: hcloud
  strategy: free
  roles:
    - role: root_account
      tags:
        - ssh

    - role: unattended_upgrades
      vars:
        unattended_upgrades__auto_reboot: false
        unattended_upgrades__remove_unused: true
      tags:
        - unattended_upgrades

    - role: wireguard
      tags:
        - wireguard

    - role: k3s
      tags:
        - k3s

- name: Pull kubeconfig
  hosts: localhost
  roles:
    - role: kubeconfig
      tags:
        - kubeconfig
